Package com.io7m.idstore.protocol.admin.cb

# Interface IdA1PasswordExpirationSet

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `IdA1PasswordExpirationSet.Never`, `IdA1PasswordExpirationSet.Refresh`, `IdA1PasswordExpirationSet.Specific`

public sealed interface IdA1PasswordExpirationSet extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits IdA1PasswordExpirationSet.Never, IdA1PasswordExpirationSet.Refresh, IdA1PasswordExpirationSet.Specific
The possible behaviours for setting password expirations.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `IdA1PasswordExpirationSet.Never`
  Never expire, regardless of the server setting.
  `static final record`
  `IdA1PasswordExpirationSet.Refresh`
  Refresh the password to the server setting.
  `static final record`
  `IdA1PasswordExpirationSet.Specific`
  Expire at the given time, regardless of the server setting.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static IdA1PasswordExpirationSet`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1PasswordExpirationSet.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1PasswordExpirationSet $x)`
  Serialize a value of type IdA1PasswordExpirationSet.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1PasswordExpirationSet $x) throws IOException
    Serialize a value of type IdA1PasswordExpirationSet.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static IdA1PasswordExpirationSet deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1PasswordExpirationSet.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1PasswordExpirationSet.
    Throws:
      `IOException`